pfSense Packages - Bug #1842

problem with FreeRADIUS?
09/06/2011 03:45 AM - Rob Heat

Status: Closed Start date: 09/06/2011
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Plus Target Version: Affected Plus

Version:
Affected Version: Affected

Architecture:

Description

With CP & vouchers, say a 1 hour voucher never kicks off/logs out the end user after an hour.
After searching there was a post in the French Forums explaining what seems to be a bug:
http://forum.pfsense.org/index.php/topic,31536.msg166496.html#msg166496

Which explained the following changes which | have made and seem to work:
File: usr/local/pkg/freeradius.inc

Line 462

@change

if ($x <>") {

to:
if (Juserexpiration <> ") {@

And:

Line 459:

Change:

if ($multiconne*c*t <> ") {
To:

if ($multiconnet <> ") {

| used the RC3 from 5th Sept and the change is still required there.

History

#1 - 09/06/2011 04:23 AM - Ermal Luci
- Category deleted (Captive Portal)

This is a package issue and not a Captive portal issue from what you have posted here.

#2 - 09/06/2011 04:23 AM - Ermal Lugci

- Project changed from pfSense to pfSense Packages

#3 - 09/06/2011 08:30 PM - Chris Buechler
- Subject changed from Captive Portal + Vouchers, never expires/disconnects clients to problem with FreeRADIUS?

- Affected Version deleted (2.0)
#4 - 09/20/2011 03:52 PM - Rob Heat

Just updated to 2-Release and problems have been fixed, so this can be closed.
Thanks.
#5 - 09/20/2011 03:53 PM - Jim Pingle

- Status changed from New to Closed
